Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588568 - Administration > Repositories > JBoss Patches > Subscribe Resources page is unusable
Administration > Repositories > JBoss Patches > Subscribe Resources page ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.3.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
:
Depends On:
Blocks: jon24-content
  Show dependency treegraph
 
Reported: 2010-05-03 19:36 EDT by Ian Springer
Modified: 2013-08-05 20:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2010-05-03 19:36:43 EDT
There are two issues on this page:

1) If you select Server and leave the Search field blank, then no results are returned. Instead a list of all Servers should be returned.

2) The Search field only filters by Resource name. This is no longer practical with the short resource names which do not include the Resource type. For example, searching for "JBoss AS" used to return all JBoss AS Server Resources, but now it returns no results. We need to either change the Search field to filter on both the Resource name and the Resource type, or else split it into two filter fields - Resource Name and Resource Type.
Comment 1 Simeon Pinder 2010-05-11 14:59:49 EDT
This issue was related to but not completely a duplicate of 589268.  589268 contributed to issue 1.  

For issue 2, I modified the named query for repos to also check for the search value for matching resource types as well.  Basically proposed solution 1.

This has been fixed in successful build of master >= 292
with commit hash: b75aca89d96e1421a26003dca674b290a849365f


To test, try searching with i)empty field and ii)"JBoss AS" when subscribing a resource from a repository to see "All" results and only resources of type "JBoss AS" respectively.
Comment 2 Sunil Kondkar 2010-05-18 07:54:02 EDT
Verified on jon Build#152 (Revision: 10620)

On  Administration > Repositories > JBoss Patches > Subscribe Resources page, entering 'JBoss AS' returns the resource type as expected.

However, if 'server' is selected from the dropdown and search field is left blank, it is observed that it returns all the available resources including services, servers and platforms. Expected is that it should return a list of all servers only.

Steps:
1. Navigate to Administration > Repositories > JBoss Patches > Subscribe Resources page.
2.Select 'Server' from the dropdown.
3.Keep the search field blank.
4.Click on arrow button.
5.It returns all the available resources. It should return a list of all servers.
Comment 3 Simeon Pinder 2010-05-27 13:09:20 EDT
Ick. Confirmed that Platform|Server|Service tab selections do not affect the search results at all.  The resource type field is not being included perhaps.
Comment 4 Simeon Pinder 2010-05-28 10:30:16 EDT
Located poorly defined query. Fix has been applied and it works now. 

Available in master >= 366 and with 
commit hash: 79ff9e37b3f036092ee9f9f4ea683223aaaf448e
Comment 5 Sunil Kondkar 2010-05-31 04:47:05 EDT
Verified on Jon build#178 (Revision: 10621)

Observed that if 'server' is selected from the dropdown and search field is left
blank, it returns a list of all servers only and search field gives results for resource name and resource type.
Comment 6 Corey Welton 2010-08-12 12:48:07 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.